﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {

        Session["ds1"] = DataSource();
        WebDataGrid1.DataSource = DataSource();
        WebDataGrid2.DataSource = DataSource();
    }
    
    protected void MoveBtn_Click(object sender, EventArgs e)
    {
        List<Person> list2 = new List<Person>();
        List<Person> list1 = new List<Person>();
        foreach (GridRecord row in WebDataGrid1.Behaviors.Selection.SelectedRows)
        {
            Person p = new Person((int)row.Items[0].Value, row.Items[1].Value.ToString());
            list2.Add(p);
        }

        foreach (GridRecord row in WebDataGrid2.Behaviors.Selection.SelectedRows)
        {
            Person p = new Person((int)row.Items[0].Value, row.Items[1].Value.ToString());
            list1.Add(p);
        }

        WebDataGrid1.ClearDataSource();
        WebDataGrid2.ClearDataSource();
        WebDataGrid2.DataSource = list2;
        WebDataGrid1.DataSource = list1;
        WebDataGrid2.DataBind();
        WebDataGrid1.DataBind();
    }

    public List<Person> DataSource()
    {
        List<Person> list1 = new List<Person>();
        list1.Add(new Person(1, "Name 1"));
        list1.Add(new Person(2, "Name 2"));
        list1.Add(new Person(3, "Name 3"));
        list1.Add(new Person(4, "Name 4"));
        list1.Add(new Person(5, "Name 5"));
        return list1;
    }
}